[project]
name = "tp-multiprocessing"
version = "0.1.0"
description = "TP Multiprocessing"
authors = [
    {name = "Your Name",email = "you@example.com"}
]
readme = "README.md"
classifiers = [
    "Programming Language :: Python :: 3.13",
]
keywords = ["multiprocessing", "concurrency"]

exclude = [
    { path = "tests", format = "wheel" }
]

requires-python = ">=3.13"

[tool.poetry.dependencies]
python = "^3.13"
pandas = "^2.3.1"
pillow = "^11.3.0"

[tool.poetry.group.dev.dependencies]
pytest = "^8.4.1"
pytest-cov = "^6.2.1"
coverage = { version="*", extras=["toml"]}

[tool.black]
line-length = 120

[tool.pycln]
all = true

[tool.isort]
line_length = 120
multi_line_output = 3
include_trailing_comma = true
force_grid_wrap = 0
use_parentheses = true
ensure_newline_before_comments = true

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"
